<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>

		/*
		//создаем функцию в параметры которой записываем первым аргументов колл-бэк функцию и вторым агрументом массив
	function map(callBack, someArray){
		callBack(someArray)
		return someArray
	}

		

		const array1 = ["Элемент массива 1", "Элемент массива 2", "Элемент массива 3"]
		const array2=["Еще один массив №1", "Еще один массив №2"];
		//создаем функцию которую будем использовать как кол-бэк функцию, которая в свою очередь благодаря цыклу for будет менять каждый индекс массива записанного в качестве аргумента начиная с [0].
		function forChange(arrayName) {
			for(i = 0; i < arrayName.length; i++) {
				arrayName[i] += " изменён благодаря функции"
			}
		}
		//в качестве аргументов для функции map записываем колл-бэк функцию и любой массив который хотим изменить.
		map(forChange,array2)
		document.write(array2.join("<br />"))
		*/

		//задание №2
		
		function checkAge(age) {
			let confirmAge = age >= 18 ? true : confirm('Родители разрешили?')
			return confirmAge 
		}
		let age = prompt("Сколько Вам лет?")
		document.write(checkAge(age))
	</script>
</body>
</html>